org.jboss.resteasy.client.core.marshallers

## Class FormMarshaller

- java.lang.Object
- - org.jboss.resteasy.client.core.marshallers.FormMarshaller

- All Implemented Interfaces:
    Marshaller

      public class FormMarshaller
      extends Object
      implements Marshaller

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected Class` | `clazz`
    `protected HashMap<Field,Marshaller>` | `fieldMap`
    `protected HashMap<Long,Method>` | `getterHashes`
    `protected List<org.jboss.resteasy.client.core.marshallers.FormMarshaller.GetterMethod>` | `getters`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FormMarshaller(Class clazz, ResteasyProviderFactory factory)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `build(ClientRequest request, Object object)`
    `static long` | `createHash(String methodDesc)`
    `static long` | `methodHash(Method method)`
    `protected void` | `populateMap(Class clazz, ResteasyProviderFactory factory)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### fieldMap

          protected HashMap<Field,Marshaller> fieldMap

    - #### getters

          protected List<org.jboss.resteasy.client.core.marshallers.FormMarshaller.GetterMethod> getters

    - #### getterHashes

          protected HashMap<Long,Method> getterHashes

    - #### clazz

          protected Class clazz

  - ### Constructor Detail

    - #### FormMarshaller

          public FormMarshaller(Class clazz,
                        ResteasyProviderFactory factory)

  - ### Method Detail

    - #### methodHash

          public static long methodHash(Method method)
                                 throws Exception

      Throws:
        `Exception`

    - #### createHash

          public static long createHash(String methodDesc)
                                 throws Exception

      Throws:
        `Exception`

    - #### populateMap

          protected void populateMap(Class clazz,
                         ResteasyProviderFactory factory)

    - #### build

          public void build(ClientRequest request,
                   Object object)

      Specified by:
        `build` in interface `Marshaller`

Copyright © 2014. All Rights Reserved.